{***************************************************************************}
{ TMS Async32                                                               }
{ for Delphi 4.0,5.0,6.0 & C++Builder 4.0,5.0,6.0                           }
{                                                                           }
{ Copyright 1996 - 2002 by TMS Software                                     }
{ Email : info@tmssoftware.com                                              }
{ Web : http://www.tmssoftware.com                                          }
{                                                                           }
{ The source code is given as is. The author is not responsible             }
{ for any possible damage done due to the use of this code.                 }
{ The component can be freely used in any application. The complete         }
{ source code remains property of the author and may not be distributed,    }
{ published, given or sold in any form as such. No parts of the source      }
{ code can be included in any other component or application without        }
{ written authorization of the author.                                      }
{***************************************************************************}

unit VaInterface;

{$I VALIB.INC}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms;

function Vi_AllocateHWnd(Method: TWndMethod): HWND;
procedure Vi_DeallocateHWnd(Wnd: HWND);


implementation


function Vi_AllocateHWnd(Method: TWndMethod): HWND;
begin
{$IFDEF VER140}
  Result := Classes.AllocateHWnd(Method);
{$ELSE}
  Result := Forms.AllocateHWnd(Method);
{$ENDIF}
end;

procedure Vi_DeallocateHWnd(Wnd: HWND);
begin
{$IFDEF VER140}
  Classes.DeallocateHWnd(Wnd);
{$ELSE}
  Forms.DeallocateHWnd(Wnd);
{$ENDIF}
end;


end.
