{***************************************************************************}
{ TMS Async32                                                               }
{ for Delphi 4.0,5.0,6.0,7.0,2005 & C++Builder 4.0,5.0,6.0                  }
{                                                                           }
{ Copyright 1996 - 2004 by TMS Software                                     }
{ Email : info@tmssoftware.com                                              }
{ Web : http://www.tmssoftware.com                                          }
{                                                                           }
{ The source code is given as is. The author is not responsible             }
{ for any possible damage done due to the use of this code.                 }
{ The component can be freely used in any application. The complete         }
{ source code remains property of the author and may not be distributed,    }
{ published, given or sold in any form as such. No parts of the source      }
{ code can be included in any other component or application without        }
{ written authorization of the author.                                      }
{***************************************************************************}

unit VaConst;

interface

{$I VALIB.INC}

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs;


const
  crlf = #13#10;

  sCE_BREAK = 'The hardware detected a break condition.';
  sCE_DNS = 'Windows 95 only: A parallel device is not selected.';
  sCE_FRAME = 'The hardware detected a framing error.';
  sCE_IOE = 'An I/O error occurred during communications with the device.';
  sCE_MODE = 'The requested mode is not supported.';
  sCE_OOP = 'Windows 95 only: A parallel device signaled that it is out of paper.';
  sCE_OVERRUN = 'A character-buffer overrun has occurred. The next character is lost.';
  sCE_PTO = 'Windows 95 only: A time-out occurred on a parallel device.';
  sCE_RXOVER = 'An input buffer overflow has occurred.';
  sCE_RXPARITY = 'The hardware detected a parity error.';
  sCE_TXFULL = 'Transmit buffer overflow.';

  cPurgeRead      = PURGE_RXABORT + PURGE_RXCLEAR;
  cPurgeWrite     = PURGE_TXABORT + PURGE_TXCLEAR;
  cPurgeReadWrite = cPurgeRead + cPurgeWrite;

  fBinary              = $00000001;
  fParity              = $00000002;
  fOutxCtsFlow         = $00000004;
  fOutxDsrFlow         = $00000008;
  fDtrControl          = $00000030;
  fDtrControlDisable   = $00000000;
  fDtrControlEnable    = $00000010;
  fDtrControlHandshake = $00000020;
  fDsrSensitivity      = $00000040;
  fTXContinueOnXoff    = $00000080;
  fOutX                = $00000100;
  fInX                 = $00000200;
  fErrorChar           = $00000400;
  fNull                = $00000800;
  fRtsControl          = $00003000;
  fRtsControlDisable   = $00000000;
  fRtsControlEnable    = $00001000;
  fRtsControlHandshake = $00002000;
  fRtsControlToggle    = $00003000;
  fAbortOnError        = $00004000;


implementation

end.
