unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, VaClasses, VaComm, StdCtrls, Spin, ExtCtrls;

type
  TForm1 = class(TForm)
    pnl1: TPanel;
    pnl2: TPanel;
    mmo1: TMemo;
    se1: TSpinEdit;
    lbl1: TLabel;
    btn1: TButton;
    btn2: TButton;
    vcm1: TVaComm;
    btn3: TButton;
    tmr1: TTimer;
    procedure btn1Click(Sender: TObject);
    procedure btn2Click(Sender: TObject);
    procedure btn3Click(Sender: TObject);
    procedure vcm1Open(Sender: TObject);
    procedure vcm1Close(Sender: TObject);
    procedure tmr1Timer(Sender: TObject);
    procedure vcm1RxChar(Sender: TObject; Count: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.btn1Click(Sender: TObject);
begin
  try
    vcm1.PortNum := se1.Value;
    vcm1.Open;
  except
  end;
end;

procedure TForm1.btn2Click(Sender: TObject);
begin
  try
    vcm1.Close;
  except
  end;
end;

procedure TForm1.btn3Click(Sender: TObject);
begin
  mmo1.Clear;
  vcm1.PurgeReadWrite;
end;

procedure TForm1.vcm1Open(Sender: TObject);
begin
  mmo1.Lines.Add('Porta serial aberta com sucesso...');
  btn1.Enabled := False;
  btn2.Enabled := True;
end;

procedure TForm1.vcm1Close(Sender: TObject);
begin
  mmo1.Lines.Add('Porta serial fechada com sucesso...');
  btn1.Enabled := True;
  btn2.Enabled := False;
end;

procedure TForm1.tmr1Timer(Sender: TObject);
var
  strrec,str: string;
begin
  tmr1.Enabled := False;
  strrec := vcm1.ReadText;
  if Pos(#13+#10,strrec) > 0 then
  begin
    str := Copy(strrec,1,Pos(#13+#10,strrec)-1);
    mmo1.Lines.Add(str);
  end;
end;

procedure TForm1.vcm1RxChar(Sender: TObject; Count: Integer);
begin
  tmr1.Enabled := False;
  tmr1.Interval := 100;
  tmr1.Enabled := True;
end;

end.
